Get monthly cost breakdown for an agent
curl --request GET \
--url https://api.devic.ai/v1/agents/agents/{agentId}/costs/monthly \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devic.ai/v1/agents/agents/{agentId}/costs/monthly"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devic.ai/v1/agents/agents/{agentId}/costs/monthly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"date": "2023-12-25",
"cost": 123,
"currency": "<string>"
}
]Agents
Get monthly costs for an agent
Retrieves monthly cost entries for the specified agent over a configurable time range.
GET
/
v1
/
agents
/
agents
/
{agentId}
/
costs
/
monthly
Get monthly cost breakdown for an agent
Authorizations
Use JWT token for authentication
Path Parameters
UUID of the agent whose monthly costs should be retrieved
Query Parameters
Number of months to include in the cost breakdown
Required range:
1 <= x <= 60⌘I